summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /dev-ruby/kramdown
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'dev-ruby/kramdown')
-rw-r--r--dev-ruby/kramdown/Manifest3
-rw-r--r--dev-ruby/kramdown/kramdown-1.4.1.ebuild46
-rw-r--r--dev-ruby/kramdown/kramdown-1.4.2.ebuild46
-rw-r--r--dev-ruby/kramdown/kramdown-1.6.0.ebuild51
-rw-r--r--dev-ruby/kramdown/metadata.xml5
5 files changed, 151 insertions, 0 deletions
diff --git a/dev-ruby/kramdown/Manifest b/dev-ruby/kramdown/Manifest
new file mode 100644
index 00000000000..b7add9ddee7
--- /dev/null
+++ b/dev-ruby/kramdown/Manifest
@@ -0,0 +1,3 @@
+DIST kramdown-1.4.1.gem 226304 SHA256 6e8bcdbc1a4e3aab40253e3d573133fb66fe958a6cea21df4f780f83fdaf1797 SHA512 ea1f32f11a377860851390ce889819ab6fd9aba2b7127a7718eb4f820e2b4acdeee353e303dab42618508727197b2e219dc74b05a0ae2bd4382bd41bba5cbcb3 WHIRLPOOL e57001f1f0d302e4fe9006f9c9a3df6c28d5df61d083208c4d342f1adbcf886fb6ac66adedcdc9aa33c2f6034de9d6d1451c1e7817e1d5f962ab948f2737a988
+DIST kramdown-1.4.2.gem 226816 SHA256 ae9b9456c69fa06f9c3058841e09b85e07cda875eb36c3202ea46baf8e123ea8 SHA512 31e7a30bcc453968ec6db0c1f0e5f8cea222dde8b8f6a26da72e0cf1b049c9f4c4e8384685a5e241e41fda526cd0f5fba4ac7debd0fb0d3eb6539dd9afc1dd27 WHIRLPOOL aa0166861584c2e3115923db1de9203581c02f4cab42866a88947a3e52fb32eee4ab2cdcc2fd623669a4c8a2e1972a340d9100a04fbc595bb40bde46e553223f
+DIST kramdown-1.6.0.gem 235520 SHA256 8bdb6aed0244d0fe77b2f5b49c44da0c8d597e7909b9f59052f7846bd1b85170 SHA512 f94aefab85fd95a5bc0e110900757408cb832f27f53c6c110295451d10143f879e64ce1c3d08b627645f5cf9b6800fa3b03d393d9733202a893633048849d349 WHIRLPOOL a213cfb292653e0b3bef42283c85b19dcadc88d89e8c17e77607781dcda979bb6ea0ce39ebf91a0a7b2afef63f47eb688791641e1f301fe542011c5114cc590f
diff --git a/dev-ruby/kramdown/kramdown-1.4.1.ebuild b/dev-ruby/kramdown/kramdown-1.4.1.ebuild
new file mode 100644
index 00000000000..88b5931c2a5
--- /dev/null
+++ b/dev-ruby/kramdown/kramdown-1.4.1.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby19 ruby20"
+
+RUBY_FAKEGEM_EXTRADOC="README.md AUTHORS CONTRIBUTERS"
+
+RUBY_FAKEGEM_EXTRAINSTALL="data"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Yet-another-markdown-parser but fast, pure Ruby, using a strict syntax definition"
+HOMEPAGE="http://kramdown.rubyforge.org/"
+
+LICENSE="MIT"
+
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86"
+IUSE="latex"
+
+LATEX_DEPS="latex? ( dev-texlive/texlive-latex dev-texlive/texlive-latexextra )"
+RDEPEND+=" ${LATEX_DEPS}"
+DEPEND+=" test? ( ${LATEX_DEPS} app-text/htmltidy )"
+
+ruby_add_bdepend "doc? ( dev-ruby/rdoc )
+ test? ( >=dev-ruby/coderay-1.0.0
+ >=dev-ruby/prawn-1.2.1
+ dev-ruby/prawn-table
+ >=dev-ruby/stringex-1.5.1 )"
+
+all_ruby_prepare() {
+ if ! use latex; then
+ # Remove latex tests. They will fail gracefully when latex isn't
+ # present at all, but not when components are missing (most
+ # notable ucs.sty).
+ sed -i -e '/latex -v/,/^ end/ s:^:#:' test/test_files.rb || die
+ fi
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ doman man/man1/kramdown.1
+}
diff --git a/dev-ruby/kramdown/kramdown-1.4.2.ebuild b/dev-ruby/kramdown/kramdown-1.4.2.ebuild
new file mode 100644
index 00000000000..9ecc88126c4
--- /dev/null
+++ b/dev-ruby/kramdown/kramdown-1.4.2.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby19 ruby20 ruby21"
+
+RUBY_FAKEGEM_EXTRADOC="README.md AUTHORS CONTRIBUTERS"
+
+RUBY_FAKEGEM_EXTRAINSTALL="data"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Yet-another-markdown-parser but fast, pure Ruby, using a strict syntax definition"
+HOMEPAGE="http://kramdown.rubyforge.org/"
+
+LICENSE="MIT"
+
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86"
+IUSE="latex"
+
+LATEX_DEPS="latex? ( dev-texlive/texlive-latex dev-texlive/texlive-latexextra )"
+RDEPEND+=" ${LATEX_DEPS}"
+DEPEND+=" test? ( ${LATEX_DEPS} app-text/htmltidy )"
+
+ruby_add_bdepend "doc? ( dev-ruby/rdoc )
+ test? ( >=dev-ruby/coderay-1.0.0
+ >=dev-ruby/prawn-1.3.0
+ dev-ruby/prawn-table
+ >=dev-ruby/stringex-1.5.1 )"
+
+all_ruby_prepare() {
+ if ! use latex; then
+ # Remove latex tests. They will fail gracefully when latex isn't
+ # present at all, but not when components are missing (most
+ # notable ucs.sty).
+ sed -i -e '/latex -v/,/^ end/ s:^:#:' test/test_files.rb || die
+ fi
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ doman man/man1/kramdown.1
+}
diff --git a/dev-ruby/kramdown/kramdown-1.6.0.ebuild b/dev-ruby/kramdown/kramdown-1.6.0.ebuild
new file mode 100644
index 00000000000..f5449005a2b
--- /dev/null
+++ b/dev-ruby/kramdown/kramdown-1.6.0.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby19 ruby20 ruby21"
+
+RUBY_FAKEGEM_EXTRADOC="README.md AUTHORS CONTRIBUTERS"
+
+RUBY_FAKEGEM_EXTRAINSTALL="data"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Yet-another-markdown-parser but fast, pure Ruby, using a strict syntax definition"
+HOMEPAGE="http://kramdown.rubyforge.org/"
+
+LICENSE="MIT"
+
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="latex"
+
+LATEX_DEPS="latex? ( dev-texlive/texlive-latex dev-texlive/texlive-latexextra )"
+RDEPEND+=" ${LATEX_DEPS}"
+DEPEND+=" test? ( ${LATEX_DEPS} app-text/htmltidy )"
+
+ruby_add_rdepend "dev-ruby/prawn:2
+ dev-ruby/prawn-table
+ >=dev-ruby/rouge-1.8
+ >=dev-ruby/itextomml-1.5
+ >=dev-ruby/coderay-1.0.0
+ >=dev-ruby/ritex-1.0
+ >=dev-ruby/stringex-1.5.1"
+
+ruby_add_bdepend "doc? ( dev-ruby/rdoc )
+ test? ( >=dev-ruby/minitest-5.0 )"
+
+all_ruby_prepare() {
+ if ! use latex; then
+ # Remove latex tests. They will fail gracefully when latex isn't
+ # present at all, but not when components are missing (most
+ # notable ucs.sty).
+ sed -i -e '/latex -v/,/^ end/ s:^:#:' test/test_files.rb || die
+ fi
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ doman man/man1/kramdown.1
+}
diff --git a/dev-ruby/kramdown/metadata.xml b/dev-ruby/kramdown/metadata.xml
new file mode 100644
index 00000000000..85213618336
--- /dev/null
+++ b/dev-ruby/kramdown/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>ruby</herd>
+</pkgmetadata>